### Method

# Aravis DomDocument append_from_memory

#### Declaration [src]

    void
    arv_dom_document_append_from_memory (
      ArvDomDocument* document,
      ArvDomNode* node,
      void* buffer,
      int size,
      GError** error
    )

#### Description [src]

Append a chunk of xml tree to an existing document. The resulting nodes will be appended to `node`, or to `document` if `node` == NULL.

Size set to a negative value indicated an unknow xml data size.

#### Parameters

`node`

  Type: `ArvDomNode`

  A `ArvDomNode`.

  The data is owned by the caller of the method.

`buffer`

  Type: `void*`

  A memory buffer holding xml data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`size`

  Type: `int`

  Size of the xml data, in bytes.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.